Solid Edge Assembly Type Library
StructuralFrames Collection
Members 
Description
The StructuralFrames object represents a collection of StructuralFrame objects.
Example
Imports System.IO
Imports System.Runtime.InteropServices

Module Example
    <STAThread()> _
    Sub Main()
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objAssemblyDocument As SolidEdgeAssembly.AssemblyDocument = Nothing
        Dim objStructuralFrames As SolidEdgeAssembly.StructuralFrames = Nothing
        Dim objStructuralFrame As SolidEdgeAssembly.StructuralFrame = Nothing

        Try
            OleMessageFilter.Register()

            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objAssemblyDocument = objApplication.ActiveDocument
            objStructuralFrames = objAssemblyDocument.StructuralFrames

            ' Loop through all of the structural frames.
            For Each objStructuralFrame In objStructuralFrames

            Next

        Catch ex As Exception
            Console.WriteLine(ex.Message)
        Finally
            OleMessageFilter.Revoke()
        End Try
    End Sub
End Module
using System.IO;
using System.Runtime.InteropServices;

internal static class Example
{
    [STAThread()]
    public static void Main()
    {
        SolidEdgeFramework.Application objApplication = null;
        SolidEdgeAssembly.AssemblyDocument objAssemblyDocument = null;
        SolidEdgeAssembly.StructuralFrames objStructuralFrames = null;
//        SolidEdgeAssembly.StructuralFrame objStructuralFrame = null;

        try
        {
            OleMessageFilter.Register();

            objApplication = (SolidEdgeFramework.Application)Marshal.GetActiveObject("SolidEdge.Application");
            objAssemblyDocument = objApplication.ActiveDocument;
            objStructuralFrames = objAssemblyDocument.StructuralFrames;

            // Loop through all of the structural frames.
            foreach (SolidEdgeAssembly.StructuralFrame objStructuralFrame in objStructuralFrames)
            {

            }

        }
        catch (Exception ex)
        {
            Console.WriteLine(ex.Message);
        }
        finally
        {
            OleMessageFilter.Revoke();
        }
    }
}
See Also

StructuralFrames Members